# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/policies/{on_securable_type}/{on_securable_fullname}/{name}`

Get the policy definition on a securable

API scopes: unity-catalog

## Path parameters

- `on_securable_type` (string, optional)
  Required. The type of the securable to retrieve the policy for.
- `on_securable_fullname` (string, optional)
  Required. The fully qualified name of securable to retrieve policy for.
- `name` (string, optional)
  Required. The name of the policy to retrieve.

## Returns

Returns the PolicyInfo object.

## Response

```json
{
  "id": "string",
  "on_securable_type": "string",
  "on_securable_fullname": "string",
  "name": "string",
  "comment": "string",
  "to_principals": [
    "string"
  ],
  "except_principals": [
    "string"
  ],
  "for_securable_type": "string",
  "when_condition": "string",
  "policy_type": "string",
  "row_filter": {
    "function_name": "string",
    "using": [
      {}
    ]
  },
  "column_mask": {
    "function_name": "string",
    "on_column": "string",
    "using": [
      {}
    ]
  },
  "grant": {
    "privileges": [
      "string"
    ]
  },
  "match_columns": [
    {
      "condition": "string",
      "alias": "string"
    }
  ],
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string"
}
```

